Package org.apache.commons.imaging.formats.png.chunks

# Class PngChunkIccp

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.png.chunks.PngChunk
org.apache.commons.imaging.formats.png.chunks.PngChunkIccp

public final class PngChunkIccp extends PngChunk
The PNG iCCP chunk. If "present, the image samples conform to the color space represented by the embedded ICC profile as defined by the International Color Consortium".

See Also:
  - PNG Specification

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PngChunkIccp(int length, int chunkType, int crc, byte[] bytes)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getCompressedProfile()`
  `int`
  `getCompressionMethod()`
  `String`
  `getProfileName()`
  `byte[]`
  `getUncompressedProfile()`
  Gets a copy of the uncompressed profile data.

  ### Methods inherited from class org.apache.commons.imaging.formats.png.chunks.PngChunk

  `getBytes, getChunkType, getCrc, getDataStream, getLength, getPropertyBits, isAncillary, isPrivate, isReserved, isSafeToCopy`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PngChunkIccp

    public PngChunkIccp(int length, int chunkType, int crc, byte[] bytes) throws ImagingException, IOException
    Constructs a new instance.
    Parameters:
      `length` - chunk length
      `chunkType` - chunk type
      `crc` - CRC computed over the chunk type and chunk data (but not the length)
      `bytes` - chunk data bytes
    Throws:
      `ImagingException` - when no profile name is present
      `IOException` - when an error happens while reading the profile data

- ## Method Details

  - ### getCompressedProfile

    public byte[] getCompressedProfile()

  - ### getCompressionMethod

    public int getCompressionMethod()

  - ### getProfileName

    public String getProfileName()

  - ### getUncompressedProfile

    public byte[] getUncompressedProfile()
    Gets a copy of the uncompressed profile data.
    Returns:
      the uncompressed profile data